<?php

	class C4S_CleverReach{
	
		private $apiKey;
		private $listId;
		private $api_endpoint = "http://api.cleverreach.com/soap/interface_v5.1.php?wsdl";
		private $api;
	
		function __construct( $apiKey, $listId ){
			$this->apiKey = $apiKey;
			$this->listId = $listId;
			$this->api = new SoapClient( $this->api_endpoint );
		}
		
		function addUser( $email, $firstname, $lastname, $source, $formId ){			
			 $user = 	array(
							"email"			=>	$email,
							"registered"	=>	time(),
							"source"		=>	$source,
							"attributes"	=>	array(
												0 => array("key" => "firstname", "value" => $firstname ),
												1 => array("key" => "lastname", "value" => $lastname ),
												)
						);
			
			$result = $this->api->receiverAdd($this->apiKey, $this->listId, $user);
			
			 $doidata = array(
								"user_ip" => $_SERVER["REMOTE_ADDR"],
								"user_agent" => $_SERVER["HTTP_USER_AGENT"],
								"referer" => $_SERVER["HTTP_REFERER"],
								"postdata" => "firtsname:" . $firstname . ",lastname:" . $lastname,
						); 
			$result = $this->api->formsSendActivationMail($this->apiKey, $formId, $email, $doidata);
		}
		
		function getUser( $email ){
			return $this->api->receiverGetByEmail($this->apiKey, $this->listId, $email, 1);
		}
	
	
	}
	